Mandrake Linux Security Advisory : samba (MDKSA-2001:062)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

Michal Zalewski has found a vulnerability in all versions of Samba
prior to 2.0.10 where if a client sends an invalid netbios name Samba
could be tricked into appending it's log to files writable by root.
This can be very dangerous if combined with a symlink created by a
local user. Note that the log files must be specified as %m.log in
order for this to work, and Mandrake Linux ships Samba by default
using log.%m, thus it is not vulnerable 'out of the box'.

See also :

http://us1.samba.org/samba/whatsnew/macroexploit.html

Solution :

Update the affected samba, samba-client and / or samba-common
packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 13877 (mandrake_MDKSA-2001-062.nasl)

Bugtraq ID:

CVE ID: CVE-2001-1162

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now